#
# spec file for package colorblind
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           colorblind
Version:        0.0.1
Release:        bp153.1.14
Summary:        Pixel Filter for colorblind accessibility
License:        SUSE-Public-Domain
Group:          Development/Languages/C and C++
URL:            https://alioth.debian.org/projects/colorblind/
Source:         %{name}-%{version}.tar.bz2

%description
This library provides an unified way to recalculate colors
in order to present alternative views on images for colorblind
people.

%package -n libcolorblind0
Summary:        Pixel Filter for colorblind accessibility
Group:          System/Libraries

%description -n libcolorblind0
This library provides an unified way to recalculate colors
in order to present alternative views on images for colorblind
people.

%package devel
Summary:        Pixel Filter for colorblind accessibility - Development Files
Group:          Development/Languages/C and C++
Requires:       libcolorblind0 = %{version}

%description devel
This library provides an unified way to recalculate colors
in order to present alternative views on images for colorblind
people.

%prep
%setup -q

%build
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libcolorblind0 -p /sbin/ldconfig
%postun -n libcolorblind0 -p /sbin/ldconfig

%files -n libcolorblind0
%{_libdir}/libcolorblind.so.*

%files devel
%{_includedir}/colorblind.h
%{_libdir}/libcolorblind.so

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Jul 31 2009 dominique-obs@leuenberger.net
- Packaged libcolorblind 0.0.1 for openSUSE.
